function [CVaR] = CVaR(x, p, alpha)
if alpha < 1
    CVaR_c = @(c) c + sum(p .* max(x - c, 0))/(1-alpha);
    [z, CVaR] = fminbnd(CVaR_c, min(x), max(x));
else
    CVaR = max(x);
end
end % function CVaR
%==========================================================================
